Package org.apache.lucene.sandbox.facet.labels

# Class RangeOrdToLabel

java.lang.Object
org.apache.lucene.sandbox.facet.labels.RangeOrdToLabel

All Implemented Interfaces:
  `OrdToLabel`

public class RangeOrdToLabel extends Object implements OrdToLabel
`OrdToLabel` for ranges.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeOrdToLabel(Range[] inputRanges)`
  Constructor that takes array of Range objects as input

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FacetLabel`
  `getLabel(int ordinal)`
  get label of one ord TODO: what do we return when ordinal is not valid? null?
  `FacetLabel[]`
  `getLabels(int[] ordinals)`
  get labels for multiple ords

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RangeOrdToLabel

    public RangeOrdToLabel(Range[] inputRanges)
    Constructor that takes array of Range objects as input

- ## Method Details

  - ### getLabel

    public FacetLabel getLabel(int ordinal)
    Description copied from interface: `OrdToLabel`
    get label of one ord TODO: what do we return when ordinal is not valid? null?
    Specified by:
      `getLabel` in interface `OrdToLabel`

  - ### getLabels

    public FacetLabel[] getLabels(int[] ordinals)
    Description copied from interface: `OrdToLabel`
    get labels for multiple ords
    Specified by:
      `getLabels` in interface `OrdToLabel`